#!/bin/sh
export PATH='/usr/obj/ports/hs-async-2.1.1.1/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: async
version: 2.1.1.1
id: async-2.1.1.1-H3j65XcXMHtBvmNwGCQ80G
key: async-2.1.1.1-H3j65XcXMHtBvmNwGCQ80G
license: BSD3
copyright: (c) Simon Marlow 2012
maintainer: Simon Marlow <marlowsd@gmail.com>
homepage: https://github.com/simonmar/async
synopsis: Run IO operations asynchronously and wait for their results
description:
    This package provides a higher-level interface over
    threads, in which an @Async a@ is a concurrent
    thread that will eventually deliver a value of
    type @a@.  The package provides ways to create
    @Async@ computations, wait for their results, and
    cancel them.
    .
    Using @Async@ is safer than using threads in two
    ways:
    .
    * When waiting for a thread to return a result,
    if the thread dies with an exception then the
    caller must either re-throw the exception
    ('\''wait'\'') or handle it ('\''waitCatch'\''); the
    exception cannot be ignored.
    .
    * The API makes it possible to build a tree of
    threads that are automatically killed when
    their parent dies (see '\''withAsync'\'').
category: Concurrency
author: Simon Marlow
exposed: True
indefinite: False
exposed-modules:
    Control.Concurrent.Async
abi: 40ced5aaaaea3f8ff6a7e969d6037cfc
trusted: False
import-dirs: /usr/local/lib/ghc/async-2.1.1.1
library-dirs: /usr/local/lib/ghc/async-2.1.1.1
              /usr/local/lib/x86_64-openbsd-ghc-8.2.2
data-dir: /usr/local/share/hs-async-2.1.1.1
hs-libraries: HSasync-2.1.1.1-H3j65XcXMHtBvmNwGCQ80G
depends:
    base-4.10.1.0 stm-2.4.4.1-6AExGOUG8NB2Rzejnay0ww
abi-depends: base-4.10.1.0=3319c96bc0bdd0e7df6bb89e8bc8756b
             stm-2.4.4.1-6AExGOUG8NB2Rzejnay0ww=4311c79f1c6ec158582dffe687e6db96
haddock-interfaces: /usr/local/share/doc/hs-async-2.1.1.1/html/async.haddock
haddock-html: /usr/local/share/doc/hs-async-2.1.1.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

